use crate::Player;
use crate::Coordinates;
use crate::Skills;
use crate::function;

pub fn initialise() -> Player
{
	println!("Name:");
	let name = function::input();
	let player: Player = Player
	{
		name: name,
		skills: Skills 
		{
			woodcutting: 0,
			mining: 0,
		},
		coordinates: Coordinates
		{
			x: 28,
			z: 25,
			map: "world".to_string()
		},
		inventory: vec!
		{
			("axe".to_string(), 1),
			("vape".to_string(), 1)
		}
	};
	return player;
}
